OMPoint (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics
Class OMPoint

    java.lang.Object
      com.bbn.openmap.omGraphics.geom.BasicGeometry
          com.bbn.openmap.omGraphics.OMGraphicAdapter
              com.bbn.openmap.omGraphics.OMPoint

All Implemented Interfaces:
  OMGeometry, OMGraphic, OMGraphicConstants, java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  EsriPoint, GLPoint, GrabPoint, MIFPoint, Node, OMPoint.Image, RoadFinder.RedPoint, RoadFinder.YellowPoint, TemporalOMPoint

    public class OMPoint

extends OMGraphicAdapter
implements OMGraphic, java.io.Serializable

A OMPoint is used to mark a specific point. You can set this point as a lat/lon position, a screen X/Y position, or a lat/lon position with a screen X/Y offset. The position can be marked with a rectangle or circle with an adjusted radius. The radius is the pixel distance from the center of the location to each edge of the marking rectangle or circle.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `OMPoint.Image`

Field Summary
`static boolean` | `DEFAULT_ISOVAL`
`static int` | `DEFAULT_RADIUS`
`protected double` | `lat1` Latitude of point, decimal degrees.
`protected double` | `lon1` Longitude of point, decimal degrees.
`protected boolean` | `oval` Set to true if you want little circles marking the point.
`protected int` | `radius` The number of pixels in the radius for the point representation.
`protected int` | `x` Horizontal window position of point, in pixels from left side of window.
`protected int` | `y` Vertical window position of point, in pixels from the top of the window.

Fields inherited from class com.bbn.openmap.omGraphics.OMGraphicAdapter
`declutterType, displayPaint, edgeMatchesFill, fillPaint, hasLabel, linePaint, matted, mattingPaint, renderType, selected, selectPaint, showEditablePalette, stroke, textureMask`

Fields inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry
`attributes, lineType, needToRegenerate, shape, visible`

Fields inherited from interface com.bbn.openmap.omGraphics.OMGraphicConstants
`ADD_GRAPHIC_MASK, APP_OBJECT, BASIC_STROKE, CHANGE_APPEARANCE, clear, DECIMAL_DEGREES, DECLUTTERTYPE_LINE, DECLUTTERTYPE_MOVE, DECLUTTERTYPE_NONE, DECLUTTERTYPE_SPACE, DEFAULT_ROTATIONANGLE, DELETE_GRAPHIC_MASK, DESELECT_GRAPHIC_MASK, DESELECTALL_GRAPHIC_MASK, GRAPHICTYPE_ARC, GRAPHICTYPE_BITMAP, GRAPHICTYPE_CIRCLE, GRAPHICTYPE_ELLIPSE, GRAPHICTYPE_GRAPHIC, GRAPHICTYPE_GRID, GRAPHICTYPE_LINE, GRAPHICTYPE_POINT, GRAPHICTYPE_POLY, GRAPHICTYPE_RASTER, GRAPHICTYPE_RECTANGLE, GRAPHICTYPE_TEXT, INDEX, INFOLINE, LABEL, LINETYPE_GREATCIRCLE, LINETYPE_RHUMB, LINETYPE_STRAIGHT, LINETYPE_UNKNOWN, LOWER_GRAPHIC_MASK, LOWER_TO_BOTTOM_GRAPHIC_MASK, NO_ROTATE, OMGRAPHIC_ELT, OMGRAPHIC_TYPE_ATTR, RADIANS, RAISE_GRAPHIC_MASK, RAISE_TO_TOP_GRAPHIC_MASK, REMOVABLE, RENDERTYPE_LATLON, RENDERTYPE_OFFSET, RENDERTYPE_UNKNOWN, RENDERTYPE_XY, SELECT_GRAPHIC_MASK, SORT_GRAPHICS_MASK, TOOLTIP, UPDATE_GRAPHIC_MASK, UPDATED`

Constructor Summary
`OMPoint()` Default constructor, waiting to be filled.
`OMPoint(double lat, double lon)` Create an OMPoint at a lat/lon position, with the default radius.
`OMPoint(double lat, double lon, int radius)` Create an OMPoint at a lat/lon position, with the specified radius.
`OMPoint(double lat, double lon, int offsetx, int offsety)` Create an OMPoint at a lat/lon position with a screen X/Y pixel offset, with the default radius.
`OMPoint(double lat, double lon, int offsetx, int offsety, int radius)` Create an OMPoint at a lat/lon position with a screen X/Y pixel offset, with the specified radius.
`OMPoint(int x, int y)` Put the point at a screen location, marked with a rectangle with edge size DEFAULT_RADIUS * 2 + 1.
`OMPoint(int x, int y, int radius)` Put the point at a screen location, marked with a rectangle with edge size radius * 2 + 1.

Method Summary
`boolean` | `generate(Projection proj)` Prepare the point for rendering.
`double` | `getLat()` Get the latitude of the point, in decimal degrees.
`double` | `getLon()` Get the longitude of the point, in decimal degrees.
`int` | `getRadius()` Get the radius for the point.
`int` | `getX()` For screen x/y rendertype points.
`int` | `getY()` For screen x/y rendertype points.
`boolean` | `hasLineTypeChoice()` Used by the GraphicAttributes object to provide a choice on whether the line type choice can be changed.
`boolean` | `isOval()` Get whether little circles should be marking the point.
`void` | `restore(OMGeometry source)` Takes the generic OMGraphic settings from another OMGraphic and pushes them to this one.
`void` | `set(double lat, double lon)` For lat/lon rendertype points, to move the point location.
`void` | `set(double lat, double lon, int offsetx, int offsety)` For offset rendertype points, to move the point location.
`void` | `set(int x, int y)` For screen x/y rendertype points, to move the point location.
`void` | `setLat(double lat)` Set the latitude of the point, in decimal degrees.
`void` | `setLon(double lon)` Set the longitude of the point, in decimal degrees.
`void` | `setOval(boolean set)` Set whether little circles should be marking the point.
`void` | `setRadius(int radius)` Set the radius of the marking rectangle.
`void` | `setX(int x)` For screen x/y rendertype points.
`void` | `setY(int y)` For screen x/y rendertype points.

Methods inherited from class com.bbn.openmap.omGraphics.OMGraphicAdapter
`clone, deselect, distance, getDeclutterType, getDisplayColor, getDisplayPaint, getEdgeMatchesFill, getFillColor, getFillPaint, getHasLabel, getLineColor, getLinePaint, getMattingPaint, getRenderType, getSelectColor, getSelectPaint, getShowEditablePalette, getStroke, getTextureMask, initLabelingDuringGenerate, isClear, isMatted, isSelected, normalizeDistanceForLineWidth, readStroke, readTextureMask, regenerate, render, renderLabel, renderShape, select, setDeclutterType, setEdgeMatchesFill, setFillColor, setFillPaint, setGraphicsColor, setGraphicsForEdge, setGraphicsForFill, setHasLabel, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLineColor, setLinePaint, setMatted, setMattingPaint, setRenderType, setSelectColor, setSelected, setSelectPaint, setShowEditablePalette, setStroke, setTextureMask, shouldRenderEdge, shouldRenderFill, writeStroke, writeTextureMask`

Methods inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry
`_distance, appendShapeEdge, appendShapeEdge, appendShapeEdge, appendShapeEdge, clearAttributes, contains, createAttributeMap, createBoxShape, createShape, createShape, describeShapeDetail, describeShapeDetail, distanceToEdge, distanceToEdge, draw, draw, fill, fill, getAppObject, getAttribute, getAttributes, getDescription, getLineType, getNeedToRegenerate, getShape, isRenderable, isRenderable, isVisible, putAttribute, removeAttribute, setAppObject, setAttributes, setLineType, setNeedToRegenerate, setShape, setVisible`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.omGraphics.OMGraphic
`clone, deselect, getDeclutterType, getDisplayColor, getDisplayPaint, getFillColor, getFillPaint, getLineColor, getLinePaint, getMattingPaint, getRenderType, getSelectColor, getSelectPaint, getShowEditablePalette, getStroke, getTextureMask, isMatted, isSelected, normalizeDistanceForLineWidth, regenerate, renderLabel, select, setDeclutterType, setFillPaint, setGraphicsColor, setGraphicsForEdge, setGraphicsForFill, setLabelLocation, setLabelLocation, setLabelLocation, setLinePaint, setMatted, setMattingPaint, setRenderType, setSelected, setSelectPaint, setShowEditablePalette, setStroke, setTextureMask, shouldRenderEdge, shouldRenderFill`

Methods inherited from interface com.bbn.openmap.omGraphics.OMGeometry
`clearAttributes, contains, distance, distanceToEdge, draw, draw, fill, fill, getAppObject, getAttribute, getAttributes, getDescription, getLineType, getNeedToRegenerate, getShape, isRenderable, isRenderable, isVisible, putAttribute, removeAttribute, render, setAppObject, setAttributes, setLineType, setNeedToRegenerate, setShape, setVisible`

Field Detail

### DEFAULT_RADIUS

    public static final int DEFAULT_RADIUS

See Also:
  Constant Field Values

### DEFAULT_ISOVAL

    public static final boolean DEFAULT_ISOVAL

See Also:
  Constant Field Values

### radius

    protected int radius

  The number of pixels in the radius for the point representation.

### x

    protected int x

  Horizontal window position of point, in pixels from left side of window.

### y

    protected int y

  Vertical window position of point, in pixels from the top of the window.

### lat1

    protected double lat1

  Latitude of point, decimal degrees.

### lon1

    protected double lon1

  Longitude of point, decimal degrees.

### oval

    protected boolean oval

  Set to true if you want little circles marking the point.

Constructor Detail

### OMPoint

    public OMPoint()

  Default constructor, waiting to be filled.

### OMPoint

    public OMPoint(double lat,
                   double lon)

  Create an OMPoint at a lat/lon position, with the default radius.

### OMPoint

    public OMPoint(double lat,
                   double lon,
                   int radius)

  Create an OMPoint at a lat/lon position, with the specified radius.

### OMPoint

    public OMPoint(double lat,
                   double lon,
                   int offsetx,
                   int offsety)

  Create an OMPoint at a lat/lon position with a screen X/Y pixel offset, with the default radius.

### OMPoint

    public OMPoint(double lat,
                   double lon,
                   int offsetx,
                   int offsety,
                   int radius)

  Create an OMPoint at a lat/lon position with a screen X/Y pixel offset, with the specified radius.

### OMPoint

    public OMPoint(int x,
                   int y)

  Put the point at a screen location, marked with a rectangle with edge size DEFAULT_RADIUS * 2 + 1.

### OMPoint

    public OMPoint(int x,
                   int y,
                   int radius)

  Put the point at a screen location, marked with a rectangle with edge size radius * 2 + 1.

Method Detail

### set

    public void set(double lat,
                    double lon)

  For lat/lon rendertype points, to move the point location.

### set

    public void set(double lat,
                    double lon,
                    int offsetx,
                    int offsety)

  For offset rendertype points, to move the point location.

### set

    public void set(int x,
                    int y)

  For screen x/y rendertype points, to move the point location. This method does not call setX() and setY().

### setLat

    public void setLat(double lat)

  Set the latitude of the point, in decimal degrees.

### getLat

    public double getLat()

  Get the latitude of the point, in decimal degrees.

### setLon

    public void setLon(double lon)

  Set the longitude of the point, in decimal degrees.

### getLon

    public double getLon()

  Get the longitude of the point, in decimal degrees.

### setX

    public void setX(int x)

  For screen x/y rendertype points.

### getX

    public int getX()

  For screen x/y rendertype points.

### setY

    public void setY(int y)

  For screen x/y rendertype points.

### getY

    public int getY()

  For screen x/y rendertype points.

### setRadius

    public void setRadius(int radius)

  Set the radius of the marking rectangle. The edge size of the marking rectangle will be radius * 2 + 1.

### getRadius

    public int getRadius()

  Get the radius for the point.

### setOval

    public void setOval(boolean set)

  Set whether little circles should be marking the point.

  Parameters:
    `set` - true for circles.

### isOval

    public boolean isOval()

  Get whether little circles should be marking the point.

### generate

    public boolean generate(Projection proj)

  Prepare the point for rendering.

  Specified by:
    `generate` in interface `OMGeometry`
  Specified by:
    `generate` in class `OMGraphicAdapter`
  Parameters:
    `proj` - Projection
  Returns:
    true if generate was successful
  See Also:
    `OMGraphicAdapter.regenerate(com.bbn.openmap.proj.Projection)`

### hasLineTypeChoice

    public boolean hasLineTypeChoice()

  Description copied from class: `OMGraphicAdapter`
  Used by the GraphicAttributes object to provide a choice on whether the line type choice can be changed.

  Specified by:
    `hasLineTypeChoice` in interface `OMGraphic`
  Overrides:
    `hasLineTypeChoice` in class `OMGraphicAdapter`

### restore

    public void restore(OMGeometry source)

  Description copied from class: `OMGraphicAdapter`
  Takes the generic OMGraphic settings from another OMGraphic and pushes them to this one.

  Specified by:
    `restore` in interface `OMGeometry`
  Overrides:
    `restore` in class `OMGraphicAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details